VST 3 Interfaces: NoteExpressionTypeInfo Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Types | Public Attributes | List of all members
NoteExpressionTypeInfo Struct Reference

NoteExpressionTypeInfo is the structure describing a note expression supported by the plug-in. More...

`#include <ivstnoteexpression.h>`

## Public Types
enum | NoteExpressionTypeFlags { kIsBipolar = 1 << 0 , kIsOneShot = 1 << 1 , kIsAbsolute = 1 << 2 , kAssociatedParameterIDValid = 1 << 3 }

## Public Attributes
NoteExpressionTypeID | typeId
| unique identifier of this note Expression type More...
String128 | title
| note Expression type title (e.g. "Volume") More...
String128 | shortTitle
| note Expression type short title (e.g. "Vol") More...
String128 | units
| note Expression type unit (e.g. "dB") More...
int32 | unitId
| id of unit this NoteExpression belongs to (see vst3Units), in order to sort the note expression, it is possible to use unitId like for parameters. -1 means no unit used. More...
NoteExpressionValueDescription | valueDesc
| value description see NoteExpressionValueDescription More...
ParamID | associatedParameterId
| optional associated parameter ID (for mapping from note expression to global (using the parameter automation for example) and back). Only used when kAssociatedParameterIDValid is set in flags. More...
int32 | flags
| NoteExpressionTypeFlags (see below) More...

## Detailed Description

NoteExpressionTypeInfo is the structure describing a note expression supported by the plug-in.

This structure is used by the method INoteExpressionController::getNoteExpressionInfo.

See also
  INoteExpressionController

## Member Enumeration Documentation

## ◆ NoteExpressionTypeFlags

enum NoteExpressionTypeFlags

Enumerator
kIsBipolar | event is bipolar (centered), otherwise unipolar
kIsOneShot | event occurs only one time for its associated note (at begin of the noteOn)
kIsAbsolute | This note expression will apply an absolute change to the sound (not relative (offset))
kAssociatedParameterIDValid | indicates that the associatedParameterID is valid and could be used

## Member Data Documentation

## ◆ typeId

NoteExpressionTypeID typeId

unique identifier of this note Expression type

## ◆ title

String128 title

note Expression type title (e.g. "Volume")

## ◆ shortTitle

String128 shortTitle

note Expression type short title (e.g. "Vol")

## ◆ units

String128 units

note Expression type unit (e.g. "dB")

## ◆ unitId

int32 unitId

id of unit this NoteExpression belongs to (see vst3Units), in order to sort the note expression, it is possible to use unitId like for parameters. -1 means no unit used.

## ◆ valueDesc

NoteExpressionValueDescription valueDesc

value description see NoteExpressionValueDescription

## ◆ associatedParameterId

ParamID associatedParameterId

optional associated parameter ID (for mapping from note expression to global (using the parameter automation for example) and back). Only used when kAssociatedParameterIDValid is set in flags.

## ◆ flags

int32 flags

NoteExpressionTypeFlags (see below)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.